%define module sphinx-alabaster-theme

Name:           python-%{module}
Version:        0.7.12
Release:        %mkrel 1
Summary:        Configurable sidebar-enabled Sphinx theme

Group:          Development/Python
License:        BSD
URL:            https://github.com/bitprophet/alabaster
Source0:        alabaster-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n	python3-%{module}
Summary:        Configurable sidebar-enabled Sphinx theme
Group:          Development/Python

%description -n	python3-%{module}
%{summary}.

%prep
%setup -qn alabaster-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc README.rst LICENSE
%{python_sitelib}/*

%files -n python3-%{module}
%doc README.rst LICENSE
%{python3_sitelib}/*

%changelog
* Fri Apr 01 2022 TerryN <terryn94 at gmail.com> 0.7.12-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 0.7.10-1pclos2018
- initial build for PCLinuxOS
